Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3881)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3882)
@@ -9734,4 +8805,974 @@
         
      END SUBROUTINE usm_wrd_local
+     
+     
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Define building properties
+!------------------------------------------------------------------------------!
+     SUBROUTINE usm_define_pars     
+!
+!--     Define the building_pars
+        building_pars(:,1) = (/   &
+           0.7_wp,         &  !< parameter 0   - wall fraction above ground floor level
+           0.3_wp,         &  !< parameter 1   - window fraction above ground floor level
+           0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
+           0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
+           1.5_wp,         &  !< parameter 4   - LAI roof
+           1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
+           2200000.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
+           1400000.0_wp,   &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
+           1300000.0_wp,   &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
+           0.35_wp,        &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
+           0.8_wp,         &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
+           2.1_wp,         &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
+           299.15_wp,      &  !< parameter 12  - indoor target summer temperature
+           293.15_wp,      &  !< parameter 13  - indoor target winter temperature
+           0.93_wp,        &  !< parameter 14  - wall emissivity above ground floor level
+           0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
+           0.91_wp,        &  !< parameter 16  - window emissivity above ground floor level
+           0.75_wp,        &  !< parameter 17  - window transmissivity above ground floor level
+           0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
+           0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
+           4.0_wp,         &  !< parameter 20  - ground floor level height
+           0.75_wp,        &  !< parameter 21  - wall fraction ground floor level
+           0.25_wp,        &  !< parameter 22  - window fraction ground floor level
+           0.0_wp,         &  !< parameter 23  - green fraction ground floor level
+           0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
+           1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
+           2200000.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
+           1400000.0_wp,   &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
+           1300000.0_wp,   &  !< parameter 28  - heat capacity 4th wall layer ground floor level
+           0.35_wp,        &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
+           0.8_wp,         &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
+           2.1_wp,         &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
+           0.93_wp,        &  !< parameter 32  - wall emissivity ground floor level
+           0.91_wp,        &  !< parameter 33  - window emissivity ground floor level
+           0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
+           0.75_wp,        &  !< parameter 35  - window transmissivity ground floor level
+           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
+           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
+           5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
+           27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
+           0.005_wp,       &  !< parameter 41  - 1st wall layer thickness above ground floor level
+           0.01_wp,        &  !< parameter 42  - 2nd wall layer thickness above ground floor level
+           0.39_wp,        &  !< parameter 43  - 3rd wall layer thickness above ground floor level
+           0.63_wp,        &  !< parameter 44  - 4th wall layer thickness above ground floor level
+           20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
+           23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
+           20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
+           20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
+           23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
+           10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
+           1.0_wp,         &  !< parameter 51  - wall fraction ground plate
+           0.005_wp,       &  !< parameter 52  - 1st wall layer thickness ground plate
+           0.01_wp,        &  !< parameter 53  - 2nd wall layer thickness ground plate
+           0.39_wp,        &  !< parameter 54  - 3rd wall layer thickness ground plate
+           0.63_wp,        &  !< parameter 55  - 4th wall layer thickness ground plate
+           2200000.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
+           1400000.0_wp,   &  !< parameter 57  - heat capacity 3rd wall layer ground plate
+           1300000.0_wp,   &  !< parameter 58  - heat capacity 4th wall layer ground plate
+           0.35_wp,        &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
+           0.8_wp,         &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
+           2.1_wp,         &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
+           0.005_wp,       &  !< parameter 62  - 1st wall layer thickness ground floor level
+           0.01_wp,        &  !< parameter 63  - 2nd wall layer thickness ground floor level
+           0.39_wp,        &  !< parameter 64  - 3rd wall layer thickness ground floor level
+           0.63_wp,        &  !< parameter 65  - 4th wall layer thickness ground floor level
+           27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
+           0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
+           0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
+           0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
+           0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
+           1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
+           0.57_wp,        &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
+           0.57_wp,        &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
+           0.57_wp,        &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
+           27.0_wp,        &  !< parameter 77  - window albedo ground floor level
+           5.0_wp,         &  !< parameter 78  - green albedo ground floor level
+           0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
+           0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
+           0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
+           0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
+           1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
+           0.57_wp,        &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
+           0.57_wp,        &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
+           0.57_wp,        &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
+           1.0_wp,         &  !< parameter 89  - wall fraction roof
+           0.005_wp,       &  !< parameter 90  - 1st wall layer thickness roof
+           0.01_wp,        &  !< parameter 91  - 2nd wall layer thickness roof
+           0.31_wp,        &  !< parameter 92  - 3rd wall layer thickness roof
+           0.63_wp,        &  !< parameter 93  - 4th wall layer thickness roof
+           2200000.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
+           1400000.0_wp,   &  !< parameter 95  - heat capacity 3rd wall layer roof
+           1300000.0_wp,   &  !< parameter 96  - heat capacity 4th wall layer roof
+           0.35_wp,        &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
+           0.8_wp,         &  !< parameter 98  - thermal conductivity 3rd wall layer roof
+           2.1_wp,         &  !< parameter 99  - thermal conductivity 4th wall layer roof
+           0.93_wp,        &  !< parameter 100 - wall emissivity roof
+           27.0_wp,        &  !< parameter 101 - wall albedo roof
+           0.0_wp,         &  !< parameter 102 - window fraction roof
+           0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
+           0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
+           0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
+           0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
+           1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
+           1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
+           1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
+           0.57_wp,        &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
+           0.57_wp,        &  !< parameter 111 - thermal conductivity 3rd window layer roof
+           0.57_wp,        &  !< parameter 112 - thermal conductivity 4th window layer roof
+           0.91_wp,        &  !< parameter 113 - window emissivity roof
+           0.75_wp,        &  !< parameter 114 - window transmissivity roof
+           27.0_wp,        &  !< parameter 115 - window albedo roof
+           0.86_wp,        &  !< parameter 116 - green emissivity roof
+           5.0_wp,         &  !< parameter 117 - green albedo roof
+           0.0_wp,         &  !< parameter 118 - green type roof
+           0.8_wp,         &  !< parameter 119 - shading factor
+           0.76_wp,        &  !< parameter 120 - g-value windows
+           5.0_wp,         &  !< parameter 121 - u-value windows
+           0.1_wp,         &  !< parameter 122 - basical airflow without occupancy of the room
+           0.5_wp,         &  !< parameter 123 - additional airflow depend of occupancy of the room
+           0.0_wp,         &  !< parameter 124 - heat recovery efficiency
+           3.5_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
+           370000.0_wp,    &  !< parameter 126 - dynamic parameter innner heatstorage
+           4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
+           100000.0_wp,    &  !< parameter 128 - maximal heating capacity
+           0.0_wp,         &  !< parameter 129 - maximal cooling capacity
+           3.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
+           10.0_wp,        &  !< parameter 131 - basic internal heat gains without occupancy of the room
+           3.0_wp,         &  !< parameter 132 - storey height
+           0.2_wp          &  !< parameter 133 - ceiling construction height
+                            /)
+                            
+        building_pars(:,2) = (/   &
+           0.73_wp,        &  !< parameter 0   - wall fraction above ground floor level
+           0.27_wp,        &  !< parameter 1   - window fraction above ground floor level
+           0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
+           0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
+           1.5_wp,         &  !< parameter 4   - LAI roof
+           1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
+           2000000.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
+           103000.0_wp,    &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
+           900000.0_wp,    &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
+           0.35_wp,        &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
+           0.38_wp,        &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
+           0.04_wp,        &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
+           299.15_wp,      &  !< parameter 12  - indoor target summer temperature
+           293.15_wp,      &  !< parameter 13  - indoor target winter temperature
+           0.92_wp,        &  !< parameter 14  - wall emissivity above ground floor level
+           0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
+           0.87_wp,        &  !< parameter 16  - window emissivity above ground floor level
+           0.7_wp,         &  !< parameter 17  - window transmissivity above ground floor level
+           0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
+           0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
+           4.0_wp,         &  !< parameter 20  - ground floor level height
+           0.78_wp,        &  !< parameter 21  - wall fraction ground floor level
+           0.22_wp,        &  !< parameter 22  - window fraction ground floor level
+           0.0_wp,         &  !< parameter 23  - green fraction ground floor level
+           0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
+           1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
+           2000000.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
+           103000.0_wp,    &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
+           900000.0_wp,    &  !< parameter 28  - heat capacity 4th wall layer ground floor level
+           0.35_wp,        &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
+           0.38_wp,        &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
+           0.04_wp,        &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
+           0.92_wp,        &  !< parameter 32  - wall emissivity ground floor level
+           0.11_wp,        &  !< parameter 33  - window emissivity ground floor level
+           0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
+           0.7_wp,         &  !< parameter 35  - window transmissivity ground floor level
+           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
+           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
+           5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
+           27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
+           0.005_wp,       &  !< parameter 41  - 1st wall layer thickness above ground floor level
+           0.01_wp,        &  !< parameter 42  - 2nd wall layer thickness above ground floor level
+           0.31_wp,        &  !< parameter 43  - 3rd wall layer thickness above ground floor level
+           0.43_wp,        &  !< parameter 44  - 4th wall layer thickness above ground floor level
+           20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
+           23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
+           20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
+           20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
+           23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
+           10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
+           1.0_wp,         &  !< parameter 51  - wall fraction ground plate
+           0.005_wp,       &  !< parameter 52  - 1st wall layer thickness ground plate
+           0.01_wp,        &  !< parameter 53  - 2nd wall layer thickness ground plate
+           0.31_wp,        &  !< parameter 54  - 3rd wall layer thickness ground plate
+           0.42_wp,        &  !< parameter 55  - 4th wall layer thickness ground plate
+           2000000.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
+           103000.0_wp,    &  !< parameter 57  - heat capacity 3rd wall layer ground plate
+           900000.0_wp,    &  !< parameter 58  - heat capacity 4th wall layer ground plate
+           0.35_wp,        &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
+           0.38_wp,        &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
+           0.04_wp,        &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
+           0.005_wp,       &  !< parameter 62  - 1st wall layer thickness ground floor level
+           0.01_wp,        &  !< parameter 63  - 2nd wall layer thickness ground floor level
+           0.31_wp,        &  !< parameter 64  - 3rd wall layer thickness ground floor level
+           0.43_wp,        &  !< parameter 65  - 4th wall layer thickness ground floor level
+           27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
+           0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
+           0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
+           0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
+           0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
+           1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
+           0.11_wp,        &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
+           0.11_wp,        &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
+           0.11_wp,        &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
+           27.0_wp,        &  !< parameter 77  - window albedo ground floor level
+           5.0_wp,         &  !< parameter 78  - green albedo ground floor level
+           0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
+           0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
+           0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
+           0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
+           1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
+           0.11_wp,        &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
+           0.11_wp,        &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
+           0.11_wp,        &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
+           1.0_wp,         &  !< parameter 89  - wall fraction roof
+           0.005_wp,       &  !< parameter 90  - 1st wall layer thickness roof
+           0.01_wp,        &  !< parameter 91  - 2nd wall layer thickness roof
+           0.5_wp,         &  !< parameter 92  - 3rd wall layer thickness roof
+           0.79_wp,        &  !< parameter 93  - 4th wall layer thickness roof
+           2000000.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
+           103000.0_wp,    &  !< parameter 95  - heat capacity 3rd wall layer roof
+           900000.0_wp,    &  !< parameter 96  - heat capacity 4th wall layer roof
+           0.35_wp,        &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
+           0.38_wp,        &  !< parameter 98  - thermal conductivity 3rd wall layer roof
+           0.04_wp,        &  !< parameter 99  - thermal conductivity 4th wall layer roof
+           0.93_wp,        &  !< parameter 100 - wall emissivity roof
+           27.0_wp,        &  !< parameter 101 - wall albedo roof
+           0.0_wp,         &  !< parameter 102 - window fraction roof
+           0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
+           0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
+           0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
+           0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
+           1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
+           1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
+           1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
+           0.11_wp,        &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
+           0.11_wp,        &  !< parameter 111 - thermal conductivity 3rd window layer roof
+           0.11_wp,        &  !< parameter 112 - thermal conductivity 4th window layer roof
+           0.87_wp,        &  !< parameter 113 - window emissivity roof
+           0.7_wp,         &  !< parameter 114 - window transmissivity roof
+           27.0_wp,        &  !< parameter 115 - window albedo roof
+           0.86_wp,        &  !< parameter 116 - green emissivity roof
+           5.0_wp,         &  !< parameter 117 - green albedo roof
+           0.0_wp,         &  !< parameter 118 - green type roof
+           0.8_wp,         &  !< parameter 119 - shading factor
+           0.6_wp,         &  !< parameter 120 - g-value windows
+           3.0_wp,         &  !< parameter 121 - u-value windows
+           0.1_wp,         &  !< parameter 122 - basical airflow without occupancy of the room
+           0.5_wp,         &  !< parameter 123 - additional airflow depend of occupancy of the room
+           0.0_wp,         &  !< parameter 124 - heat recovery efficiency
+           2.5_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
+           165000.0_wp,    &  !< parameter 126 - dynamic parameter innner heatstorage
+           4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
+           100000.0_wp,    &  !< parameter 128 - maximal heating capacity
+           0.0_wp,         &  !< parameter 129 - maximal cooling capacity
+           4.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
+           8.0_wp,         &  !< parameter 131 - basic internal heat gains without occupancy of the room
+           3.0_wp,         &  !< parameter 132 - storey height
+           0.2_wp          &  !< parameter 133 - ceiling construction height
+                            /)
+                            
+        building_pars(:,3) = (/   &
+           0.7_wp,         &  !< parameter 0   - wall fraction above ground floor level
+           0.3_wp,         &  !< parameter 1   - window fraction above ground floor level
+           0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
+           0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
+           1.5_wp,         &  !< parameter 4   - LAI roof
+           1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
+           2000000.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
+           103000.0_wp,    &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
+           900000.0_wp,    &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
+           0.35_wp,        &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
+           0.14_wp,        &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
+           0.035_wp,       &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
+           299.15_wp,      &  !< parameter 12  - indoor target summer temperature
+           293.15_wp,      &  !< parameter 13  - indoor target winter temperature
+           0.92_wp,        &  !< parameter 14  - wall emissivity above ground floor level
+           0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
+           0.8_wp,         &  !< parameter 16  - window emissivity above ground floor level
+           0.6_wp,         &  !< parameter 17  - window transmissivity above ground floor level
+           0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
+           0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
+           4.0_wp,         &  !< parameter 20  - ground floor level height
+           0.75_wp,        &  !< parameter 21  - wall fraction ground floor level
+           0.25_wp,        &  !< parameter 22  - window fraction ground floor level
+           0.0_wp,         &  !< parameter 23  - green fraction ground floor level
+           0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
+           1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
+           2000000.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
+           103000.0_wp,    &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
+           900000.0_wp,    &  !< parameter 28  - heat capacity 4th wall layer ground floor level
+           0.35_wp,        &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
+           0.14_wp,        &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
+           0.035_wp,       &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
+           0.92_wp,        &  !< parameter 32  - wall emissivity ground floor level
+           0.8_wp,         &  !< parameter 33  - window emissivity ground floor level
+           0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
+           0.6_wp,         &  !< parameter 35  - window transmissivity ground floor level
+           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
+           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
+           5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
+           27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
+           0.005_wp,       &  !< parameter 41  - 1st wall layer thickness above ground floor level
+           0.01_wp,        &  !< parameter 42  - 2nd wall layer thickness above ground floor level
+           0.41_wp,        &  !< parameter 43  - 3rd wall layer thickness above ground floor level
+           0.7_wp,         &  !< parameter 44  - 4th wall layer thickness above ground floor level
+           20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
+           23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
+           20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
+           20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
+           23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
+           10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
+           1.0_wp,         &  !< parameter 51  - wall fraction ground plate
+           0.005_wp,       &  !< parameter 52  - 1st wall layer thickness ground plate
+           0.01_wp,        &  !< parameter 53  - 2nd wall layer thickness ground plate
+           0.41_wp,        &  !< parameter 54  - 3rd wall layer thickness ground plate
+           0.7_wp,         &  !< parameter 55  - 4th wall layer thickness ground plate
+           2000000.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
+           103000.0_wp,    &  !< parameter 57  - heat capacity 3rd wall layer ground plate
+           900000.0_wp,    &  !< parameter 58  - heat capacity 4th wall layer ground plate
+           0.35_wp,        &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
+           0.14_wp,        &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
+           0.035_wp,       &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
+           0.005_wp,       &  !< parameter 62  - 1st wall layer thickness ground floor level
+           0.01_wp,        &  !< parameter 63  - 2nd wall layer thickness ground floor level
+           0.41_wp,        &  !< parameter 64  - 3rd wall layer thickness ground floor level
+           0.7_wp,         &  !< parameter 65  - 4th wall layer thickness ground floor level
+           27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
+           0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
+           0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
+           0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
+           0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
+           1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
+           0.037_wp,       &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
+           0.037_wp,       &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
+           0.037_wp,       &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
+           27.0_wp,        &  !< parameter 77  - window albedo ground floor level
+           5.0_wp,         &  !< parameter 78  - green albedo ground floor level
+           0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
+           0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
+           0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
+           0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
+           1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
+           0.037_wp,       &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
+           0.037_wp,       &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
+           0.037_wp,       &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
+           1.0_wp,         &  !< parameter 89  - wall fraction roof
+           0.005_wp,       &  !< parameter 90  - 1st wall layer thickness roof
+           0.01_wp,        &  !< parameter 91  - 2nd wall layer thickness roof
+           0.41_wp,        &  !< parameter 92  - 3rd wall layer thickness roof
+           0.7_wp,         &  !< parameter 93  - 4th wall layer thickness roof
+           2000000.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
+           103000.0_wp,    &  !< parameter 95  - heat capacity 3rd wall layer roof
+           900000.0_wp,    &  !< parameter 96  - heat capacity 4th wall layer roof
+           0.35_wp,        &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
+           0.14_wp,        &  !< parameter 98  - thermal conductivity 3rd wall layer roof
+           0.035_wp,       &  !< parameter 99  - thermal conductivity 4th wall layer roof
+           0.93_wp,        &  !< parameter 100 - wall emissivity roof
+           27.0_wp,        &  !< parameter 101 - wall albedo roof
+           0.0_wp,         &  !< parameter 102 - window fraction roof
+           0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
+           0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
+           0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
+           0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
+           1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
+           1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
+           1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
+           0.037_wp,       &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
+           0.037_wp,       &  !< parameter 111 - thermal conductivity 3rd window layer roof
+           0.037_wp,       &  !< parameter 112 - thermal conductivity 4th window layer roof
+           0.8_wp,         &  !< parameter 113 - window emissivity roof
+           0.6_wp,         &  !< parameter 114 - window transmissivity roof
+           27.0_wp,        &  !< parameter 115 - window albedo roof
+           0.86_wp,        &  !< parameter 116 - green emissivity roof
+           5.0_wp,         &  !< parameter 117 - green albedo roof
+           0.0_wp,         &  !< parameter 118 - green type roof
+           0.8_wp,         &  !< parameter 119 - shading factor
+           0.5_wp,         &  !< parameter 120 - g-value windows
+           0.6_wp,         &  !< parameter 121 - u-value windows
+           0.1_wp,         &  !< parameter 122 - basical airflow without occupancy of the room
+           0.5_wp,         &  !< parameter 123 - additional airflow depend of occupancy of the room
+           0.8_wp,         &  !< parameter 124 - heat recovery efficiency
+           2.5_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
+           80000.0_wp,     &  !< parameter 126 - dynamic parameter innner heatstorage
+           4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
+           100000.0_wp,    &  !< parameter 128 - maximal heating capacity
+           0.0_wp,         &  !< parameter 129 - maximal cooling capacity
+           3.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
+           8.0_wp,         &  !< parameter 131 - basic internal heat gains without occupancy of the room
+           3.0_wp,         &  !< parameter 132 - storey height
+           0.2_wp          &  !< parameter 133 - ceiling construction height
+                            /)   
+                            
+        building_pars(:,4) = (/   &
+           0.5_wp,         &  !< parameter 0   - wall fraction above ground floor level
+           0.5_wp,         &  !< parameter 1   - window fraction above ground floor level
+           0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
+           0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
+           1.5_wp,         &  !< parameter 4   - LAI roof
+           1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
+           2200000.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
+           1400000.0_wp,   &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
+           1300000.0_wp,   &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
+           0.35_wp,        &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
+           0.8_wp,         &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
+           2.1_wp,         &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
+           299.15_wp,      &  !< parameter 12  - indoor target summer temperature
+           293.15_wp,      &  !< parameter 13  - indoor target winter temperature
+           0.93_wp,        &  !< parameter 14  - wall emissivity above ground floor level
+           0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
+           0.91_wp,        &  !< parameter 16  - window emissivity above ground floor level
+           0.75_wp,        &  !< parameter 17  - window transmissivity above ground floor level
+           0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
+           0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
+           4.0_wp,         &  !< parameter 20  - ground floor level height
+           0.55_wp,        &  !< parameter 21  - wall fraction ground floor level
+           0.45_wp,        &  !< parameter 22  - window fraction ground floor level
+           0.0_wp,         &  !< parameter 23  - green fraction ground floor level
+           0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
+           1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
+           2200000.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
+           1400000.0_wp,   &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
+           1300000.0_wp,   &  !< parameter 28  - heat capacity 4th wall layer ground floor level
+           0.35_wp,        &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
+           0.8_wp,         &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
+           2.1_wp,         &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
+           0.93_wp,        &  !< parameter 32  - wall emissivity ground floor level
+           0.91_wp,        &  !< parameter 33  - window emissivity ground floor level
+           0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
+           0.75_wp,        &  !< parameter 35  - window transmissivity ground floor level
+           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
+           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
+           5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
+           27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
+           0.005_wp,       &  !< parameter 41  - 1st wall layer thickness above ground floor level
+           0.01_wp,        &  !< parameter 42  - 2nd wall layer thickness above ground floor level
+           0.39_wp,        &  !< parameter 43  - 3rd wall layer thickness above ground floor level
+           0.63_wp,        &  !< parameter 44  - 4th wall layer thickness above ground floor level
+           20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
+           23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
+           20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
+           20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
+           23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
+           10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
+           1.0_wp,         &  !< parameter 51  - wall fraction ground plate
+           0.005_wp,       &  !< parameter 52  - 1st wall layer thickness ground plate
+           0.01_wp,        &  !< parameter 53  - 2nd wall layer thickness ground plate
+           0.39_wp,        &  !< parameter 54  - 3rd wall layer thickness ground plate
+           0.63_wp,        &  !< parameter 55  - 4th wall layer thickness ground plate
+           2200000.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
+           1400000.0_wp,   &  !< parameter 57  - heat capacity 3rd wall layer ground plate
+           1300000.0_wp,   &  !< parameter 58  - heat capacity 4th wall layer ground plate
+           0.35_wp,        &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
+           0.8_wp,         &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
+           2.1_wp,         &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
+           0.005_wp,       &  !< parameter 62  - 1st wall layer thickness ground floor level
+           0.01_wp,        &  !< parameter 63  - 2nd wall layer thickness ground floor level
+           0.39_wp,        &  !< parameter 64  - 3rd wall layer thickness ground floor level
+           0.63_wp,        &  !< parameter 65  - 4th wall layer thickness ground floor level
+           27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
+           0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
+           0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
+           0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
+           0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
+           1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
+           0.57_wp,        &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
+           0.57_wp,        &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
+           0.57_wp,        &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
+           27.0_wp,        &  !< parameter 77  - window albedo ground floor level
+           5.0_wp,         &  !< parameter 78  - green albedo ground floor level
+           0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
+           0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
+           0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
+           0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
+           1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
+           0.57_wp,        &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
+           0.57_wp,        &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
+           0.57_wp,        &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
+           1.0_wp,         &  !< parameter 89  - wall fraction roof
+           0.005_wp,       &  !< parameter 90  - 1st wall layer thickness roof
+           0.01_wp,        &  !< parameter 91  - 2nd wall layer thickness roof
+           0.39_wp,        &  !< parameter 92  - 3rd wall layer thickness roof
+           0.63_wp,        &  !< parameter 93  - 4th wall layer thickness roof
+           2200000.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
+           1400000.0_wp,   &  !< parameter 95  - heat capacity 3rd wall layer roof
+           1300000.0_wp,   &  !< parameter 96  - heat capacity 4th wall layer roof
+           0.35_wp,        &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
+           0.8_wp,         &  !< parameter 98  - thermal conductivity 3rd wall layer roof
+           2.1_wp,         &  !< parameter 99  - thermal conductivity 4th wall layer roof
+           0.93_wp,        &  !< parameter 100 - wall emissivity roof
+           27.0_wp,        &  !< parameter 101 - wall albedo roof
+           0.0_wp,         &  !< parameter 102 - window fraction roof
+           0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
+           0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
+           0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
+           0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
+           1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
+           1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
+           1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
+           0.57_wp,        &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
+           0.57_wp,        &  !< parameter 111 - thermal conductivity 3rd window layer roof
+           0.57_wp,        &  !< parameter 112 - thermal conductivity 4th window layer roof
+           0.91_wp,        &  !< parameter 113 - window emissivity roof
+           0.75_wp,        &  !< parameter 114 - window transmissivity roof
+           27.0_wp,        &  !< parameter 115 - window albedo roof
+           0.86_wp,        &  !< parameter 116 - green emissivity roof
+           5.0_wp,         &  !< parameter 117 - green albedo roof
+           0.0_wp,         &  !< parameter 118 - green type roof
+           0.8_wp,         &  !< parameter 119 - shading factor
+           0.76_wp,        &  !< parameter 120 - g-value windows
+           5.0_wp,         &  !< parameter 121 - u-value windows
+           0.1_wp,         &  !< parameter 122 - basical airflow without occupancy of the room
+           1.5_wp,         &  !< parameter 123 - additional airflow depend of occupancy of the room
+           0.0_wp,         &  !< parameter 124 - heat recovery efficiency
+           3.5_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
+           370000.0_wp,    &  !< parameter 126 - dynamic parameter innner heatstorage
+           4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
+           100000.0_wp,    &  !< parameter 128 - maximal heating capacity
+           0.0_wp,         &  !< parameter 129 - maximal cooling capacity
+           3.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
+           10.0_wp,        &  !< parameter 131 - basic internal heat gains without occupancy of the room
+           3.0_wp,         &  !< parameter 132 - storey height
+           0.2_wp          &  !< parameter 133 - ceiling construction height
+                            /)   
+                            
+        building_pars(:,5) = (/   &
+           0.5_wp,         &  !< parameter 0   - wall fraction above ground floor level
+           0.5_wp,         &  !< parameter 1   - window fraction above ground floor level
+           0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
+           0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
+           1.5_wp,         &  !< parameter 4   - LAI roof
+           1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
+           2000000.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
+           103000.0_wp,    &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
+           900000.0_wp,    &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
+           0.35_wp,        &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
+           0.38_wp,        &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
+           0.04_wp,        &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
+           299.15_wp,      &  !< parameter 12  - indoor target summer temperature
+           293.15_wp,      &  !< parameter 13  - indoor target winter temperature
+           0.92_wp,        &  !< parameter 14  - wall emissivity above ground floor level
+           0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
+           0.87_wp,        &  !< parameter 16  - window emissivity above ground floor level
+           0.7_wp,         &  !< parameter 17  - window transmissivity above ground floor level
+           0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
+           0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
+           4.0_wp,         &  !< parameter 20  - ground floor level height
+           0.55_wp,        &  !< parameter 21  - wall fraction ground floor level
+           0.45_wp,        &  !< parameter 22  - window fraction ground floor level
+           0.0_wp,         &  !< parameter 23  - green fraction ground floor level
+           0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
+           1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
+           2000000.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
+           103000.0_wp,    &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
+           900000.0_wp,    &  !< parameter 28  - heat capacity 4th wall layer ground floor level
+           0.35_wp,        &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
+           0.38_wp,        &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
+           0.04_wp,        &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
+           0.92_wp,        &  !< parameter 32  - wall emissivity ground floor level
+           0.87_wp,        &  !< parameter 33  - window emissivity ground floor level
+           0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
+           0.7_wp,         &  !< parameter 35  - window transmissivity ground floor level
+           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
+           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
+           5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
+           27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
+           0.005_wp,       &  !< parameter 41  - 1st wall layer thickness above ground floor level
+           0.01_wp,        &  !< parameter 42  - 2nd wall layer thickness above ground floor level
+           0.31_wp,        &  !< parameter 43  - 3rd wall layer thickness above ground floor level
+           0.43_wp,        &  !< parameter 44  - 4th wall layer thickness above ground floor level
+           20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
+           23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
+           20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
+           20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
+           23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
+           10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
+           1.0_wp,         &  !< parameter 51  - wall fraction ground plate
+           0.005_wp,       &  !< parameter 52  - 1st wall layer thickness ground plate
+           0.01_wp,        &  !< parameter 53  - 2nd wall layer thickness ground plate
+           0.31_wp,        &  !< parameter 54  - 3rd wall layer thickness ground plate
+           0.43_wp,        &  !< parameter 55  - 4th wall layer thickness ground plate
+           2000000.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
+           103000.0_wp,    &  !< parameter 57  - heat capacity 3rd wall layer ground plate
+           900000.0_wp,    &  !< parameter 58  - heat capacity 4th wall layer ground plate
+           0.35_wp,        &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
+           0.38_wp,        &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
+           0.04_wp,        &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
+           0.005_wp,       &  !< parameter 62  - 1st wall layer thickness ground floor level
+           0.01_wp,        &  !< parameter 63  - 2nd wall layer thickness ground floor level
+           0.31_wp,        &  !< parameter 64  - 3rd wall layer thickness ground floor level
+           0.43_wp,        &  !< parameter 65  - 4th wall layer thickness ground floor level
+           27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
+           0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
+           0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
+           0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
+           0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
+           1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
+           0.11_wp,        &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
+           0.11_wp,        &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
+           0.11_wp,        &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
+           27.0_wp,        &  !< parameter 77  - window albedo ground floor level
+           5.0_wp,         &  !< parameter 78  - green albedo ground floor level
+           0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
+           0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
+           0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
+           0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
+           1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
+           0.11_wp,        &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
+           0.11_wp,        &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
+           0.11_wp,        &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
+           1.0_wp,         &  !< parameter 89  - wall fraction roof
+           0.005_wp,       &  !< parameter 90  - 1st wall layer thickness roof
+           0.01_wp,        &  !< parameter 91  - 2nd wall layer thickness roof
+           0.31_wp,        &  !< parameter 92  - 3rd wall layer thickness roof
+           0.43_wp,        &  !< parameter 93  - 4th wall layer thickness roof
+           2000000.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
+           103000.0_wp,    &  !< parameter 95  - heat capacity 3rd wall layer roof
+           900000.0_wp,    &  !< parameter 96  - heat capacity 4th wall layer roof
+           0.35_wp,        &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
+           0.38_wp,        &  !< parameter 98  - thermal conductivity 3rd wall layer roof
+           0.04_wp,        &  !< parameter 99  - thermal conductivity 4th wall layer roof
+           0.91_wp,        &  !< parameter 100 - wall emissivity roof
+           27.0_wp,        &  !< parameter 101 - wall albedo roof
+           0.0_wp,         &  !< parameter 102 - window fraction roof
+           0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
+           0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
+           0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
+           0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
+           1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
+           1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
+           1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
+           0.11_wp,        &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
+           0.11_wp,        &  !< parameter 111 - thermal conductivity 3rd window layer roof
+           0.11_wp,        &  !< parameter 112 - thermal conductivity 4th window layer roof
+           0.87_wp,        &  !< parameter 113 - window emissivity roof
+           0.7_wp,         &  !< parameter 114 - window transmissivity roof
+           27.0_wp,        &  !< parameter 115 - window albedo roof
+           0.86_wp,        &  !< parameter 116 - green emissivity roof
+           5.0_wp,         &  !< parameter 117 - green albedo roof
+           0.0_wp,         &  !< parameter 118 - green type roof
+           0.8_wp,         &  !< parameter 119 - shading factor
+           0.6_wp,         &  !< parameter 120 - g-value windows
+           3.0_wp,         &  !< parameter 121 - u-value windows
+           0.1_wp,         &  !< parameter 122 - basical airflow without occupancy of the room
+           1.5_wp,         &  !< parameter 123 - additional airflow depend of occupancy of the room
+           0.65_wp,        &  !< parameter 124 - heat recovery efficiency
+           2.5_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
+           165000.0_wp,    &  !< parameter 126 - dynamic parameter innner heatstorage
+           4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
+           100000.0_wp,    &  !< parameter 128 - maximal heating capacity
+           0.0_wp,         &  !< parameter 129 - maximal cooling capacity
+           7.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
+           20.0_wp,        &  !< parameter 131 - basic internal heat gains without occupancy of the room
+           3.0_wp,         &  !< parameter 132 - storey height
+           0.2_wp          &  !< parameter 133 - ceiling construction height
+                            /)
+                            
+        building_pars(:,6) = (/   &
+           0.425_wp,       &  !< parameter 0   - wall fraction above ground floor level
+           0.575_wp,       &  !< parameter 1   - window fraction above ground floor level
+           0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
+           0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
+           1.5_wp,         &  !< parameter 4   - LAI roof
+           1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
+           2000000.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
+           103000.0_wp,    &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
+           900000.0_wp,    &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
+           0.35_wp,        &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
+           0.14_wp,        &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
+           0.035_wp,       &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
+           299.15_wp,      &  !< parameter 12  - indoor target summer temperature
+           293.15_wp,      &  !< parameter 13  - indoor target winter temperature
+           0.92_wp,        &  !< parameter 14  - wall emissivity above ground floor level
+           0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
+           0.8_wp,         &  !< parameter 16  - window emissivity above ground floor level
+           0.6_wp,         &  !< parameter 17  - window transmissivity above ground floor level
+           0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
+           0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
+           4.0_wp,         &  !< parameter 20  - ground floor level height
+           0.475_wp,       &  !< parameter 21  - wall fraction ground floor level
+           0.525_wp,       &  !< parameter 22  - window fraction ground floor level
+           0.0_wp,         &  !< parameter 23  - green fraction ground floor level
+           0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
+           1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
+           2000000.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
+           103000.0_wp,    &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
+           900000.0_wp,    &  !< parameter 28  - heat capacity 4th wall layer ground floor level
+           0.35_wp,        &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
+           0.14_wp,        &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
+           0.035_wp,       &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
+           0.92_wp,        &  !< parameter 32  - wall emissivity ground floor level
+           0.8_wp,         &  !< parameter 33  - window emissivity ground floor level
+           0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
+           0.6_wp,         &  !< parameter 35  - window transmissivity ground floor level
+           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
+           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
+           5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
+           27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
+           0.005_wp,       &  !< parameter 41  - 1st wall layer thickness above ground floor level
+           0.01_wp,        &  !< parameter 42  - 2nd wall layer thickness above ground floor level
+           0.41_wp,        &  !< parameter 43  - 3rd wall layer thickness above ground floor level
+           0.7_wp,         &  !< parameter 44  - 4th wall layer thickness above ground floor level
+           20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
+           23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
+           20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
+           20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
+           23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
+           10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
+           1.0_wp,         &  !< parameter 51  - wall fraction ground plate
+           0.005_wp,       &  !< parameter 52  - 1st wall layer thickness ground plate
+           0.01_wp,        &  !< parameter 53  - 2nd wall layer thickness ground plate
+           0.41_wp,        &  !< parameter 54  - 3rd wall layer thickness ground plate
+           0.7_wp,         &  !< parameter 55  - 4th wall layer thickness ground plate
+           2000000.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
+           103000.0_wp,    &  !< parameter 57  - heat capacity 3rd wall layer ground plate
+           900000.0_wp,    &  !< parameter 58  - heat capacity 4th wall layer ground plate
+           0.35_wp,        &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
+           0.14_wp,        &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
+           0.035_wp,       &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
+           0.005_wp,       &  !< parameter 62  - 1st wall layer thickness ground floor level
+           0.01_wp,        &  !< parameter 63  - 2nd wall layer thickness ground floor level
+           0.41_wp,        &  !< parameter 64  - 3rd wall layer thickness ground floor level
+           0.7_wp,         &  !< parameter 65  - 4th wall layer thickness ground floor level
+           27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
+           0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
+           0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
+           0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
+           0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
+           1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
+           0.037_wp,       &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
+           0.037_wp,       &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
+           0.037_wp,       &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
+           27.0_wp,        &  !< parameter 77  - window albedo ground floor level
+           5.0_wp,         &  !< parameter 78  - green albedo ground floor level
+           0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
+           0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
+           0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
+           0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
+           1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
+           0.037_wp,       &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
+           0.037_wp,       &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
+           0.037_wp,       &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
+           1.0_wp,         &  !< parameter 89  - wall fraction roof
+           0.005_wp,       &  !< parameter 90  - 1st wall layer thickness roof
+           0.01_wp,        &  !< parameter 91  - 2nd wall layer thickness roof
+           0.41_wp,        &  !< parameter 92  - 3rd wall layer thickness roof
+           0.7_wp,         &  !< parameter 93  - 4th wall layer thickness roof
+           2000000.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
+           103000.0_wp,    &  !< parameter 95  - heat capacity 3rd wall layer roof
+           900000.0_wp,    &  !< parameter 96  - heat capacity 4th wall layer roof
+           0.35_wp,        &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
+           0.14_wp,        &  !< parameter 98  - thermal conductivity 3rd wall layer roof
+           0.035_wp,       &  !< parameter 99  - thermal conductivity 4th wall layer roof
+           0.91_wp,        &  !< parameter 100 - wall emissivity roof
+           27.0_wp,        &  !< parameter 101 - wall albedo roof
+           0.0_wp,         &  !< parameter 102 - window fraction roof
+           0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
+           0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
+           0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
+           0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
+           1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
+           1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
+           1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
+           0.037_wp,       &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
+           0.037_wp,       &  !< parameter 111 - thermal conductivity 3rd window layer roof
+           0.037_wp,       &  !< parameter 112 - thermal conductivity 4th window layer roof
+           0.8_wp,         &  !< parameter 113 - window emissivity roof
+           0.6_wp,         &  !< parameter 114 - window transmissivity roof
+           27.0_wp,        &  !< parameter 115 - window albedo roof
+           0.86_wp,        &  !< parameter 116 - green emissivity roof
+           5.0_wp,         &  !< parameter 117 - green albedo roof
+           0.0_wp,         &  !< parameter 118 - green type roof
+           0.8_wp,         &  !< parameter 119 - shading factor
+           0.5_wp,         &  !< parameter 120 - g-value windows
+           0.6_wp,         &  !< parameter 121 - u-value windows
+           0.1_wp,         &  !< parameter 122 - basical airflow without occupancy of the room
+           1.5_wp,         &  !< parameter 123 - additional airflow depend of occupancy of the room
+           0.9_wp,         &  !< parameter 124 - heat recovery efficiency
+           2.5_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
+           80000.0_wp,     &  !< parameter 126 - dynamic parameter innner heatstorage
+           4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
+           100000.0_wp,    &  !< parameter 128 - maximal heating capacity
+           0.0_wp,         &  !< parameter 129 - maximal cooling capacity
+           5.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
+           15.0_wp,        &  !< parameter 131 - basic internal heat gains without occupancy of the room
+           3.0_wp,         &  !< parameter 132 - storey height
+           0.2_wp          &  !< parameter 133 - ceiling construction height
+                            /)
+                            
+        building_pars(:,7) = (/   &
+           1.0_wp,         &  !< parameter 0   - wall fraction above ground floor level
+           0.0_wp,         &  !< parameter 1   - window fraction above ground floor level
+           0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
+           0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
+           1.5_wp,         &  !< parameter 4   - LAI roof
+           1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
+           1950400.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
+           1848000.0_wp,   &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
+           1848000.0_wp,   &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
+           0.7_wp,         &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
+           1.0_wp,         &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
+           1.0_wp,         &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
+           299.15_wp,      &  !< parameter 12  - indoor target summer temperature
+           293.15_wp,      &  !< parameter 13  - indoor target winter temperature
+           0.9_wp,         &  !< parameter 14  - wall emissivity above ground floor level
+           0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
+           0.8_wp,         &  !< parameter 16  - window emissivity above ground floor level
+           0.6_wp,         &  !< parameter 17  - window transmissivity above ground floor level
+           0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
+           0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
+           4.0_wp,         &  !< parameter 20  - ground floor level height
+           1.0_wp,         &  !< parameter 21  - wall fraction ground floor level
+           0.0_wp,         &  !< parameter 22  - window fraction ground floor level
+           0.0_wp,         &  !< parameter 23  - green fraction ground floor level
+           0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
+           1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
+           1950400.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
+           1848000.0_wp,   &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
+           1848000.0_wp,   &  !< parameter 28  - heat capacity 4th wall layer ground floor level
+           0.7_wp,         &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
+           1.0_wp,         &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
+           1.0_wp,         &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
+           0.9_wp,         &  !< parameter 32  - wall emissivity ground floor level
+           0.8_wp,         &  !< parameter 33  - window emissivity ground floor level
+           0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
+           0.6_wp,         &  !< parameter 35  - window transmissivity ground floor level
+           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
+           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
+           5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
+           27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
+           0.29_wp,        &  !< parameter 41  - 1st wall layer thickness above ground floor level
+           0.295_wp,       &  !< parameter 42  - 2nd wall layer thickness above ground floor level
+           0.695_wp,       &  !< parameter 43  - 3rd wall layer thickness above ground floor level
+           0.985_wp,       &  !< parameter 44  - 4th wall layer thickness above ground floor level
+           20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
+           23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
+           20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
+           20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
+           23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
+           10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
+           1.0_wp,         &  !< parameter 51  - wall fraction ground plate
+           0.29_wp,        &  !< parameter 52  - 1st wall layer thickness ground plate
+           0.295_wp,       &  !< parameter 53  - 2nd wall layer thickness ground plate
+           0.695_wp,       &  !< parameter 54  - 3rd wall layer thickness ground plate
+           0.985_wp,       &  !< parameter 55  - 4th wall layer thickness ground plate
+           1950400.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
+           1848000.0_wp,   &  !< parameter 57  - heat capacity 3rd wall layer ground plate
+           1848000.0_wp,   &  !< parameter 58  - heat capacity 4th wall layer ground plate
+           0.7_wp,         &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
+           1.0_wp,         &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
+           1.0_wp,         &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
+           0.29_wp,        &  !< parameter 62  - 1st wall layer thickness ground floor level
+           0.295_wp,       &  !< parameter 63  - 2nd wall layer thickness ground floor level
+           0.695_wp,       &  !< parameter 64  - 3rd wall layer thickness ground floor level
+           0.985_wp,       &  !< parameter 65  - 4th wall layer thickness ground floor level
+           27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
+           0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
+           0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
+           0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
+           0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
+           1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
+           1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
+           0.57_wp,        &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
+           0.57_wp,        &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
+           0.57_wp,        &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
+           27.0_wp,        &  !< parameter 77  - window albedo ground floor level
+           5.0_wp,         &  !< parameter 78  - green albedo ground floor level
+           0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
+           0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
+           0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
+           0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
+           1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
+           1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
+           0.57_wp,        &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
+           0.57_wp,        &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
+           0.57_wp,        &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
+           1.0_wp,         &  !< parameter 89  - wall fraction roof
+           0.29_wp,        &  !< parameter 90  - 1st wall layer thickness roof
+           0.295_wp,       &  !< parameter 91  - 2nd wall layer thickness roof
+           0.695_wp,       &  !< parameter 92  - 3rd wall layer thickness roof
+           0.985_wp,       &  !< parameter 93  - 4th wall layer thickness roof
+           1950400.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
+           1848000.0_wp,   &  !< parameter 95  - heat capacity 3rd wall layer roof
+           1848000.0_wp,   &  !< parameter 96  - heat capacity 4th wall layer roof
+           0.7_wp,         &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
+           1.0_wp,         &  !< parameter 98  - thermal conductivity 3rd wall layer roof
+           1.0_wp,         &  !< parameter 99  - thermal conductivity 4th wall layer roof
+           0.9_wp,         &  !< parameter 100 - wall emissivity roof
+           27.0_wp,        &  !< parameter 101 - wall albedo roof
+           0.0_wp,         &  !< parameter 102 - window fraction roof
+           0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
+           0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
+           0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
+           0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
+           1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
+           1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
+           1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
+           0.57_wp,        &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
+           0.57_wp,        &  !< parameter 111 - thermal conductivity 3rd window layer roof
+           0.57_wp,        &  !< parameter 112 - thermal conductivity 4th window layer roof
+           0.8_wp,         &  !< parameter 113 - window emissivity roof
+           0.6_wp,         &  !< parameter 114 - window transmissivity roof
+           27.0_wp,        &  !< parameter 115 - window albedo roof
+           0.86_wp,        &  !< parameter 116 - green emissivity roof
+           5.0_wp,         &  !< parameter 117 - green albedo roof
+           0.0_wp,         &  !< parameter 118 - green type roof
+           0.8_wp,         &  !< parameter 119 - shading factor
+           100.0_wp,       &  !< parameter 120 - g-value windows
+           100.0_wp,       &  !< parameter 121 - u-value windows
+           20.0_wp,        &  !< parameter 122 - basical airflow without occupancy of the room
+           20.0_wp,        &  !< parameter 123 - additional airflow depend of occupancy of the room
+           0.0_wp,         &  !< parameter 124 - heat recovery efficiency
+           1.0_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
+           1.0_wp,         &  !< parameter 126 - dynamic parameter innner heatstorage
+           4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
+           100000.0_wp,    &  !< parameter 128 - maximal heating capacity
+           0.0_wp,         &  !< parameter 129 - maximal cooling capacity
+           0.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
+           0.0_wp,         &  !< parameter 131 - basic internal heat gains without occupancy of the room
+           3.0_wp,         &  !< parameter 132 - storey height
+           0.2_wp          &  !< parameter 133 - ceiling construction height
+                        /)
+                        
+     END SUBROUTINE usm_define_pars
  
    
